import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;
import javax.swing.JOptionPane;
import java.util.List;
import java.util.ArrayList;
import java.awt.datatransfer.*;
/**
 * Write a description of class Display here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Display extends World
{
    List<String> words = new ArrayList();
    FlashingWords fw;
    public Display()
    {    
        super(600, 400, 1, false);
        GreenfootImage img = new GreenfootImage(600, 400);
        img.setColor(Color.BLACK);
        img.fill();
        setBackground(img);
        
        try{
            String clipData = (String)Toolkit.getDefaultToolkit().getSystemClipboard().getData(DataFlavor.stringFlavor);
            words = parseInput(clipData);
            fw = new FlashingWords(words);
            addObject(fw, 300, 200);
        }

        catch(Exception e){}
        Greenfoot.setSpeed(59);
        /*words = parseInput(getInput());
        Greenfoot.setSpeed(59);
        fw = new FlashingWords(words);
        addObject(fw, 300, 200);*/
        Greenfoot.start();
    }
    
    public void act()
    {
        String k = Greenfoot.getKey();
        if(k != null)
        {
            if(k.equals("n"))
            {
                words = parseInput(getInput());
                removeObject(fw);
                fw = new FlashingWords(words);
                addObject(fw, 300, 200);
            }
        }
    }
    
    public String getInput()
    {
        String input = (String) JOptionPane.showInputDialog(null, "Enter text to be speed-read\nYou can press 'n' any time to enter new text", "Enter text", JOptionPane.PLAIN_MESSAGE, null, null, null);
        if(input != null && input.length() > 0)
        {
            return input;
        }
        return new String();
    }
    
    public List<String> parseInput(String input)
    {
        String working = input;
        List<String> lw = new ArrayList();
        
        int wI = working.indexOf(" ");
        while(true)
        {
            if(wI != -1)
            {
                lw.add(working.substring(0, wI));
                working = working.substring(wI+1);
                wI = working.indexOf(" ");
            }
            else
            {
                lw.add(working);
                break;
            }
        }
        return lw;
    }
}
