import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
import java.util.ArrayList;
import java.awt.FontMetrics;
import java.awt.Font;
import java.awt.Color;
/**
 * Write a description of class FlashingWords here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class FlashingWords extends Actor
{
    List<String> words = new ArrayList();
    int wordPos = 0;
    boolean wordVisible = false;
    Font f = new Font("Arial", Font.PLAIN, 55);
    FontMetrics fm;
    int delay = 20;
    
    GreenfootImage img = new GreenfootImage(600, 200);
    public FlashingWords(List<String> l)
    {
        words = l;
        img.clear();
        setImage(img);
        l.add(new String());
        img.setFont(f);
        img.setColor(Color.GREEN);
        fm = img.getAwtImage().getGraphics().getFontMetrics(f);
    }
    public void act() 
    {
        if(delay <= 1) // this just slows it down
        {
            if(!wordVisible)
            {
                if(words.size() > wordPos)
                {
                    img.drawString(words.get(wordPos), 300 - (fm.stringWidth(words.get(wordPos))/2), 185);
                    wordPos++;
                }
                else
                {
                    wordPos = 0;
                }
                wordVisible = true;
            }
            else
            {
                wordVisible = false;
                img.clear();
            }
            delay = 10;
        }
        else
        {
            delay--;
        }
    }    
}
